libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
kate_region Struct Reference

`#include <kate.h>`

## Data Fields
kate_space_metric | metric
int | x
int | y
int | w
int | h
int | style
unsigned int | clip:1

## Detailed Description

defines an area where to draw

## Field Documentation

unsigned int kate_region::clip

text/images will be clipped to the region

int kate_region::h

size of the region

Referenced by kate_tracker_update().

kate_space_metric kate_region::metric

how to interpret the xywh values

Referenced by kate_tracker_update().

int kate_region::style

default style to apply to text in this region

Referenced by kate_tracker_update().

int kate_region::w

size of the region

Referenced by kate_tracker_update().

int kate_region::x

origin of the region

Referenced by kate_tracker_update().

int kate_region::y

origin of the region

Referenced by kate_tracker_update().

The documentation for this struct was generated from the following file:

- /tmp/buildpkgs/libkate/libkate-0.4.1/include/kate/kate.h